%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		hspell
Version:	1.2
Release:	%mkrel 4
Summary:	Free Hebrew linguistic project
Group:		Text tools
License:	LGPL
URL:		http://hspell.ivrix.org.il/
Source0:	http://hspell.ivrix.org.il/%{name}-%{version}.tar.gz
BuildRequires:  zlib-devel
BuildRequires:  locales-he
BuildRequires:  hunspell
BuildRequires:  hunspell-devel
Requires:	%{libname} = %{version}-%{release}

%description
The Hspell project is a free Hebrew linguistic project. 
Its primary goal is to create a free Hebrew spell-checker. 
 In addition to a spell-checker, the project also produced a Hebrew 
morphological analyzer, which for every valid Hebrew word lists all of its 
possible readings (valid combinations of prefix and inflected base word). 
 The secondary goal of the project is to make the algorithms and dictionaries, 
created initially for the spell-checker, freely available. These could be used 
in more sophisticated research or applications that require Hebrew word lists 
or a Hebrew morphology engine. 
 Such potential application areas might include search engines, speech 
synthesis, and much much more. The availability of a free basis will hopefully 
encourage free development on top of it, to the benefit of the general 
Hebrew-speaking population.

%package -n	%{libname}
Summary:	Shared library files for hspell
Group:		Text tools

%description -n	%{libname}
Shared library files for the hspell package.

%package -n	%{develname}
Summary:	Development files for hspell
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	libhspell-devel = %{version}-%{release}
Provides:	hspell-devel = %{version}-%{release}
Obsoletes:	%{mklibname hspell 0 -d}

%description -n	%{develname}
Development headers, and files for development from the hspell package.

# (kamil) changed the hunspell-he to be according to general Hunspell policies
%package -n hunspell-he
%define languageenglazy Hebrew
%define languagecode    he
%define lc_ctype        he_IL

Summary:        %{languageenglazy} hunspell dictionaries
Group:          System/Internationalization

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-he
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

%description -n hunspell-he
%{languageenglazy} hunspell dictionaries


# (kamil) end hunspell-he

%prep
%setup -q

%build
export CFLAGS="%optflags -fPIC"
%configure2_5x --enable-fatverb --enable-shared
%make
make hunspell
cat >> he.aff << EOF
MAP 10
MAP ךכח
MAP םמ
MAP ןנ
MAP ףפ
MAP ץצ
MAP כק
MAP אע # for English
MAP גה # for Russian
MAP צס # for Arabic
MAP חכר # for French
EOF

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/libhspell.a

# (kamil) hunspell-he installation
install -D -m 0644 -p he.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p he.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

# (kamil) hunspell-he end

%files 
%{_bindir}/hspell
%{_bindir}/hspell-i
%{_bindir}/multispell
%{_mandir}/man?/hspell.*
%{_datadir}/hspell/

%files -n %{libname}
%{_libdir}/libhspell.so.0

%files -n %{develname}
%_includedir/hspell.h
%{_libdir}/libhspell.so
%_includedir/linginfo.h

%files -n hunspell-he
%{_datadir}/myspell/*
%{_datadir}/hunspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2-4.mga3
+ Revision: 353284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.2-3.mga3
+ Revision: 325340
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.2-2.mga2
+ Revision: 224959
- add requirement on locales (mga#4632)

* Wed Feb 29 2012 fwang <fwang> 1.2-1.mga2
+ Revision: 215993
- new version 1.2

* Sun Feb 12 2012 kamil <kamil> 1.1-6.mga2
+ Revision: 208144
- add hunspell and hunspell-devel as BR

* Sun Feb 12 2012 kamil <kamil> 1.1-5.mga2
+ Revision: 207945
- add locales-he as BR (used by build scripts)
- adapt hunspell-he subpackage to the current policies
- clean .spec

* Thu Mar 31 2011 ennael <ennael> 1.1-4.mga1
+ Revision: 79247
- fix group

* Sun Mar 13 2011 dmorgan <dmorgan> 1.1-3.mga1
+ Revision: 70240
- Add zlib-devel as buildrequire
- Sync with fedora
  	- add lib
  	- create hunspell-he

* Fri Jan 14 2011 mikala <mikala> 1.1-2.mga1
+ Revision: 17745
- Drop mdk macros
- imported package hspell

